# jetson-jupyterlab

Simple hosting of Jupyterlab on Jetson Orin

## Install

If you are ever using a Jetpack version that doesn't have pre-built images yet, you will want to install https://github.com/dusty-nv/jetson-containers and use the commands to build your own docker containers.

This repo simply hosts a docker-compose file and a systemd service file to ensure the docker-compose services are started on boot.


```
sudo mkdir -p /opt/jupyterlab
sudo cp docker-compose-jupyterlab.yaml /opt/jupyterlab/docker-compose-jupyterlab.yaml
```

```
sudo cp jupyterlab.service /etc/systemd/system/jupyterlab.service
sudo systemctl enable jupyterlab.service
sudo systemctl start jupyterlab.service
```

